# Package org.apache.ignite.internal.processors.platform.client

Interface Summary
ClientCloseableResource: Client closeable resource.

Class Summary
ClientBooleanResponse: Boolean response.
ClientConnectionContext: Thin Client connection context.
ClientIntResponse: Int response.
ClientLongResponse: Long response.
ClientMessageParser: Thin client message parser.
ClientObjectResponse: Single object response.
ClientRawRequest: Raw request, produces a ClientResponse directly.
ClientRequest: Thin client request.
ClientRequestHandler: Thin client request handler.
ClientResourceCloseRequest: Resource close request.
ClientResourceRegistry: Per-connection resource registry.
ClientResponse: Thin client response.
ClientStatus: Client status codes.
ClientStringResponse: Single string response.

Exception Summary
IgniteClientException: Client exception.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018